Subject: [ippm] re IPPM MIB

From: "Yves Cognet" <[email-masked]>
Date: Mon, 13 Sep 2004 18:23:57 +0200

Hi Henk 

Please find enclosed my comments for point 1

- synchronisation accuracy (that lays to metrics accuracy) - NTP, GPS, ... (event notification if accuracy level is bad)
- aggregation of metrics ( with a high level of accuracy - not a "ping" every 15 minutes !), aggregation will results in lower network burden
- alarm notification on thresholds attached to pertinent metrics
- one view of metrics per user ( how you can manage user SLA and QoS over VPN )
- capacity to register new metrics (even proprietary) in the IPPM registry 
- capacity to cover all IP transport protocols.(UDP, TCP and above applications HTTP,RTP,..)
- capacity to see test configuration

regards
Yves Cognet

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Monday, August 16, 2004 6:14 PM
Subject: ippm Digest, Vol 3, Issue 8

> Send ippm mailing list submissions to
> [email-masked] 
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> https://www1.ietf.org/mailman/listinfo/ippm
> or, via email, send a message with subject or body 'help' to
> [email-masked] 
> 
> You can reach the person managing the list at
> [email-masked] 
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of ippm digest..."
> 
> 
> Today's Topics:
> 
>    1. IPPM MIB (Henk Uijterwaal (RIPE NCC))
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Mon, 16 Aug 2004 10:43:18 +0200 (CEST)
> From: "Henk Uijterwaal (RIPE NCC)" <[email-masked]>
> Subject: [ippm] IPPM MIB
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: TEXT/PLAIN; charset=US-ASCII
> 
> IPPM group,
> 
> Since the IPPM WG meeting in Seoul, there have been several discussions
> (both public and private) between Emile Stephan, Andy Bierman (the IPPM
> MIB technical advisor), the chairs of the WG and several others, on how to
> proceed with the IPPM MIB document (draft-ietf-ippm-reporting-mib-06.txt).
> This mail summarizes the discussions and proposes a way forward.
> 
> We all agree that even though the current draft is in its 6th iteration,
> there has been very little feedback from the WG on its contents.  The
> chairs did receive some informal comments on the document, these can be
> summarized as "the document and MIB are too complex".
> 
> A proposal has been made to for a simpler approach, based on a ring buffer
> to store individual measurements.  While this looked nice in theory, in
> practice it is probably not possible to store and retrieve individual
> measurements in a MIB at a rate of the order of 1Hz or more. In other
> words, a MIB can only be used to report aggregate information, where the
> aggregation is done either on demand or by default at regular intervals.
> 
> As the next steps, we propose:
> 
> 1. The mailing list will be asked to provide feedback on the question
>    what information they would like to see in the management interface
>    of a network measurement system. (See below).
> 
> 2. When there is consensus on this question, we will look at existing
>    MIB's (in particular the RMONMIB TPM-MIB) to see what is
>    already there to satisfy the requirements generated in the previous
>    step and what has to be defined in our group.
> 
> 3. The existing document will be rewritten to define whatever has to be
>    defined and nothing more.
> 
> If there is little or no feedback on step 1, we will conclude that there
> is no interest in an IPPM at the moment.  In that case, the existing
> document will be finished and a published as an informational RFC.
> 
> To start, the first questions we would like to see answered, are:
> 
> * What information would you like to see in a management interface of a
>   measurement system?
> * What action would you like to take with a management interface of a
>   measurement system?
> * Do you have requests from the users of your implementation of the
>   IPPM metrics for an interface between the measurement system and
>   a network management system (NMS)?
> 
> Please note the constraint mentioned above. It also should be noted that
> some of the IPPM metrics implementations do not use a MIB but do report
> aggregated information in other formats (CSV, XML, graphical, ...)  This
> is information that could (potentially) be reported in a MIB as well.
> 
> We invite everybody to comment on both the procedure and the questions
> above before September 30,
> 
> Henk
> 
> ------------------------------------------------------------------------------
> Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
> RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
> P.O.Box 10096          Singel 258         Phone: +31.20.5354414
> 1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
> The Netherlands        The Netherlands    Mobile: +31.6.55861746
> ------------------------------------------------------------------------------
> 
> Process and Procedure are the last hiding place of people without the wit
> and wisdom to do their job properly.                          (David Brent).
> 
> 
> 
> ------------------------------
> 
> _______________________________________________
> ippm mailing list
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/ippm
> 
> 
> End of ippm Digest, Vol 3, Issue 8
> **********************************

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm